aboutgitcodebugslistschat
path: root/doc
diff options
context:
space:
mode:
Diffstat (limited to 'doc')
-rwxr-xr-xdoc/demo.sh12
-rw-r--r--doc/passt_overview.excalidraw29
2 files changed, 5 insertions, 36 deletions
diff --git a/doc/demo.sh b/doc/demo.sh
index 6b0917c..b56669f 100755
--- a/doc/demo.sh
+++ b/doc/demo.sh
@@ -177,7 +177,7 @@ into_ns() {
next
[ "${KEY}" = "s" ] && ${SHELL}
- cmd passt -P "${DEMO_DIR}/passt.pid"
+ cmd passt -P "${DEMO_DIR}/passt.pid" -s "${DEMO_DIR}/passt.socket"
echo
echo "...passt is running."
next
@@ -198,15 +198,12 @@ into_ns() {
echo "can download and use mbuto (https://mbuto.sh/) to build a"
echo "basic initramfs image. Otherwise, press 's' to skip this"
echo "step, and start an existing virtual machine yourself."
- echo "You'll need to use the qrap(1) wrapper, with qemu options"
- echo "as reported above."
next
else
echo "This script doesn't know, yet, how to run a virtual"
echo "machine on your architecture (${__arch}). Please start an"
- echo "existing virtual machine yourself, using the qrap(1)"
- echo "wrapper, with qemu options as reported above."
+ echo "existing virtual machine yourself."
echo
fi
@@ -225,12 +222,13 @@ into_ns() {
next
# shellcheck disable=SC2086
- cmd qrap 5 ${__qemu_arch} \
+ cmd ${__qemu_arch} \
-smp "$(nproc)" -m 1024 \
-nographic -serial stdio -nodefaults -no-reboot -vga none \
-initrd "${DEMO_DIR}/demo.img" \
-kernel "/boot/vmlinuz-$(uname -r)" -append "console=ttyS0" \
- -net socket,fd=5 -net nic,model=virtio || :
+ -device virtio-net-pci,netdev=s \
+ -netdev stream,id=s,server=off,addr.type=unix,addr.path="${DEMO_DIR}/passt.socket" || :
}
STTY_BACKUP="$(stty -g)"
diff --git a/doc/passt_overview.excalidraw b/doc/passt_overview.excalidraw
index 790728e..3217b3f 100644
--- a/doc/passt_overview.excalidraw
+++ b/doc/passt_overview.excalidraw
@@ -3595,35 +3595,6 @@
"baseline": 17,
"textAlign": "left",
"verticalAlign": "top"
- },
- {
- "type": "text",
- "version": 1448,
- "versionNonce": 1345391945,
- "isDeleted": false,
- "id": "c-esZiuHSm3wnTRlmIJZk",
- "fillStyle": "hachure",
- "strokeWidth": 1,
- "strokeStyle": "dotted",
- "roughness": 1,
- "opacity": 100,
- "angle": 4.969352159599495,
- "x": 816.7081559166961,
- "y": 215.74807066759342,
- "strokeColor": "#2b8a3e",
- "backgroundColor": "transparent",
- "width": 211,
- "height": 23,
- "seed": 939668423,
- "groupIds": [],
- "strokeSharpness": "round",
- "boundElementIds": [],
- "fontSize": 20,
- "fontFamily": 1,
- "text": "(currently \"qrap\" wrapper)",
- "baseline": 17,
- "textAlign": "left",
- "verticalAlign": "top"
}
],
"appState": {